<html>
<head>
<meta charset="UTF-8">
<title>HomePage.html</title>
<link rel="stylesheet" type="text/css" media="all"
	href="./CSS/HomePage.css">
<script src="HomePage.js" charset="utf-8" defer></script>
<script src="utils.js" charset="utf-8" defer></script>
</head>

<body>

	<video autoplay muted loop id="myVideo">
		<source src="./CSS/background.mp4" type="video/mp4">
	</video>

	<div class="toolBar">
		<label id="siteTitle">dgltMeetings</label>
		<div id="benvLogout">
			<label id="benvenuto"></label> <input type="button" id="btnLogout"
				value="Logout">
		</div>
	</div>

	<div id="blurDiv" style="filter: blur(0px);">

		<br> <br> <br> <br> <br> <br>

		<table class="content-table" id="organizzate">
			<thead>
				<tr>
					<th colspan="4">RIUNIONI ORGANIZZATE</th>
				</tr>
				<tr>
					<th>Titolo</th>
					<th>Data e Ora</th>
					<th>Durata</th>
					<th>Nº Partecipanti</th>
				</tr>
			</thead>
			<tbody>
			</tbody>
		</table>

		<table class="content-table" id="inviti">

			<thead>
				<tr>
					<th colspan="5">RIUNIONI A CUI SEI INVITATO</th>
				</tr>
				<tr>
					<th>Titolo</th>
					<th>Data e Ora</th>
					<th>Durata</th>
					<th>Nº Partecipanti</th>
					<th>Organizzatore</th>
				</tr>
			</thead>
			<tbody>
			</tbody>
		</table>

		<br>

		<form id="newRiunione">
			<table class="content-table" id="tabNewRiunione">
				<thead>
					<tr>
						<th colspan="5">NUOVA RIUNIONE</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><label for="titolo">TITOLO:</label></td>
						<td><input type="text" name="titolo" required></td>
					</tr>
					<tr>
						<td><label for="data">DATA:</label></td>
						<td><input type="date" name="data" id="data" required></td>
					</tr>
					<tr>
						<td><label for="ora">ORA INIZIO:</label></td>
						<td><input type="time" name="ora" min="08:00" max="16:00" required></td>
					</tr>
					<tr>
						<td><label for="durata">DURATA:</label></td>
						<td><input type="time" name="durata" min="00:15" max="04:00" required></td>
					</tr>
					<tr>
						<td><label for="numPartecipanti">Nº MASSIMO
								PARTECIPANTI:</label></td>
						<td><input type="number" name="numPartecipanti" min="1" required></td>
					</tr>
					<tr>
						<td colspan="2"><input type="submit" id="btnInvia"
							value="INVIA" style="color: black; background-color: white;"></td>
					</tr>
				</tbody>
			</table>
		</form>

		<br> <br> <br>
	</div>

	<div id="cancellazione" class="cancModal" style="display: none;">
		<div class="modal-content">
			<div class="modal-header">
				<span class="close">×</span>
				<h2>Modal Header</h2>
			</div>
			<div class="modal-body">
				<p>ATTENZIONE!</p>
				<p>Hai effettuato troppi tentativi, la riunione non verrà
					salvata.</p>
			</div>
			<div class="modal-footer">
				<input type="button" id="btnTornaAllaHome"
					value="Torna alla HomePage">
			</div>
		</div>
	</div>

	<div id="paginaModale" class="modal" style="display: none;">
		<div id="title" class="content">
			<h1>Form d'invito</h1>
			<span>X</span>
		</div>
		<div class="content">
			<div>
				<p id="error" style="display: none;"></p>
			</div>
			<div>
				<p id="maxUtenti">Seleziona al massimo X utenti da invitare alla
					riunione</p>
				<p id="tentativiRimanenti">Ti restano ancora 3 tentativi</p>
			</div>
			<form id="formInvito">
				<div id="scrollTable">
					<table class="content-table" id="utentiTable">
						<thead>
							<tr>
								<th>Nome</th>
								<th>Cognome</th>
								<th>Username</th>
								<th></th>
							</tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>
				<input type="button" id="btnInvita" class="footerAnagrafica"
					value="INVITA"> <input type="button" id="btnCancella"
					class="footerAnagrafica" value="CANCELLA">
			</form>
		</div>
	</div>
</body>
</html>